> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get packagings

> Paginated with defaults page=1, pageSize=50



## OpenAPI

````yaml get /screenings/packaging
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /screenings/packaging:
    get:
      tags:
        - Packagings
      summary: Get packagings
      description: Paginated with defaults page=1, pageSize=50
      operationId: get-screenings-packaging
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetItemCategoriesForPackagingApiOutput'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetItemCategoriesForPackagingApiOutput:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetItemCategoriesForPackagingApiOutputItem'
        pagination:
          $ref: '#/components/schemas/PaginationMetaSchema'
      required:
        - data
        - pagination
    GetItemCategoriesForPackagingApiOutputItem:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - item_xxxxxxxxxxxx
        displayName:
          type:
            - string
            - 'null'
        category:
          type: string
        inputs:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - Origin
                  - Material
                  - Process
              fieldsType:
                oneOf:
                  - type: string
                    enum:
                      - Default
                      - Multiple
                      - Single
                  - type: string
                    enum:
                      - Default
                      - Multiple
                      - Single
                      - Empty
              fields:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    data:
                      type: object
                      properties:
                        publicId:
                          oneOf:
                            - oneOf:
                                - oneOf:
                                    - oneOf:
                                        - type: string
                                          minLength: 16
                                          maxLength: 16
                                          examples:
                                            - item_xxxxxxxxxxxx
                                        - type: string
                                          minLength: 16
                                          maxLength: 16
                                          examples:
                                            - itemProcess_xxxxxxxxxxxx
                                    - type: string
                                      minLength: 16
                                      maxLength: 16
                                      examples:
                                        - itemMaterial_xxxxxxxxxxxx
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - itemSelectableMaterial_xxxxxxxxxxxx
                            - type: string
                              minLength: 16
                              maxLength: 16
                              examples:
                                - itemSelectableProcess_xxxxxxxxxxxx
                        locationPublicId:
                          anyOf:
                            - oneOf:
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - locationListItem_xxxxxxxxxxxx
                                - type: string
                                  minLength: 16
                                  maxLength: 16
                                  examples:
                                    - transportLocation_xxxxxxxxxxxx
                            - type: 'null'
                        additional:
                          type: object
                          properties:
                            proportion:
                              type:
                                - number
                                - 'null'
                            recycleShare:
                              type:
                                - number
                                - 'null'
                            materialUnits:
                              type:
                                - object
                                - 'null'
                              properties:
                                DTex:
                                  type:
                                    - number
                                    - 'null'
                              required:
                                - DTex
                      required:
                        - publicId
                        - locationPublicId
                        - additional
                  required:
                    - name
                    - data
            required:
              - name
              - type
              - fieldsType
              - fields
      required:
        - publicId
        - displayName
        - category
        - inputs
    PaginationMetaSchema:
      type: object
      properties:
        page:
          type: number
        pageSize:
          type: number
        totalCount:
          type: number
        totalPages:
          type: number
      required:
        - page
        - pageSize
        - totalCount
        - totalPages
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Invalid request parameters
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Authentication required
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - Resource not found
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                examples:
                  - An unexpected error occurred
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````